#ifndef House_hpp
#define House_hpp

#include <logic/Object.hpp>

class House : public MeshObject {
  const class Mesh : public BoxMesh {
    struct Roof : RectMesh {
      Roof(const double height);
    };
  public:
    Mesh(
      const double height,
      const double roofHeight
    );
  } mesh;
  const ::Mesh& getMesh() const override;
  const bool isStatic() const override;
public:
  House(
    const double height = 1,
    const double roofHeight = 0.5
  );
};

#endif
